DPKG-SOURCE(1)

NOM
dpkg-source, dpkg-gencontrol, dpkg-shlibdeps, dpkg-genchanges, dpkg-buildpackage, dpkg-distaddfile, dpkg-parsechangelog - Les outils de Debian pour les paquets source.

SYNOPSIS
dpkg-source -x fichier.dsc
dpkg-source -b [options] répertoire [répertoire-d'origine|'']
dpkg-gencontrol [options]
dpkg-shlibdeps options
dpkg-genchanges [options]
dpkg-buildpackage [options]
dpkg-distaddfile [options] fichier section priorité
dpkg-parsechangelog [options]

DESCRIPTION
dpkg-source empaquète ou dépaquète une archive source Debian. dpkg-gencontrol lit les information contenues dans une arborescence Debian dépaquetée et crée le fichier « control » d'un paquet binaire (par défaut, c'est le fichier debian/tmp/DEBIAN/control) ; il ajoute aussi une entrée pour ce paquet binaire dans debian/files. dpkg-shlibdeps calcule, pour les exécutables nommés dans ses arguments, les dépendances envers les bibliothèques partagées. Ces dépendances sont ajoutées sous la forme shlibs:dependencyfield -- où dependencyfield est le nom du champ « dépendance » -- dans le fichier debian/substvars qui indique les substitutions de variables. Toute autre variable après shlibs: est supprimée du fichier. dpkg-shlibdeps lit les informations concernant les dépendances envers les bibliothèques partagées dans les fichiers suivants : debian/shlibs.local, /etc/dpkg/shlibs.override, le fichier shlibs, (fichier du paquet contenant un fichier qui, selon objdump, satisfait au système de dépendance envers les bibliothèques) ou bien /etc/dpkg/shlibs.default. Le premier trouvé est utilisé. Voyez le Debian packaging manual pour des détails sur le format des fichiers qui traitent des dépendances envers les bibliothèques partagées. dpkg-genchanges lit les informations à la fois dans une arborescence debian dépaquetée et déjà construite et sur les fichiers qui ont été crées ; puis il crée un fichier de contrôle pour la mise en place dans l'archive Debian ( c'est le fichier .changes ). dpkg-buildpackage est un script de contrôle qui peut faciliter la construction automatique d'un paquet. dpkg-distaddfile ajoute une entrée pour un fichier dans debian/files. dpkg-parsechangelog lit et fait l'analyse du fichier « changelog » d'une arborescence source dépaquetée et affiche les informations qu'il contient sur la sortie standard et sous une forme lisible par la machine. Aucune de ces commandes ne permet la combinaison de plusieurs options en une seule et elles ne permettent pas d'indiquer la valeur d'une option dans un argument séparé.

LES OPTIONS COMMUNES
Beaucoup de ces programmes partagent les options qui sont décrites ici ; on décrit en même temps les programmes qui les acceptent.

-h  Affiche la version du programme et un message d'aide qui comprend un résumé des options acceptées. Tous les outils pour les paquets source comprennent cette option.

-vversion
    Avec dpkg-buildpackage, dpkg-genchanges et dpkg-parsechangelog cette option force l'utilisation des informations contenues dans le fichier « changelog » et qui concernent toutes les versions strictement plus récentes que version (qui doit apparaître dans le fichier « changelog »). Avec dpkg-gencontrol, cette option donne le numéro de version du paquet binaire qui sera crée.

-Cdescription-des-changements
    Lit la description des changements dans le fichier description-des-changements plutôt que les informations contenues dans le fichier « changelog » de l'arborescence source. dpkg-buildpackage et dpkg-genchanges acceptent cette option.

-madresse-du-responsable
    Utilise adresse-du-responsable comme nom et adresse électronique du responsable de paquet pour cette mise en place, plutôt que d'utiliser les informations contenues dans le fichier « control » de l'arborescence source. dpkg-buildpackage et dpkg-genchanges acceptent cette option.

-eadresse-du-responsable
    Utilise adresse-du-responsable comme nom et adresse électronique du responsable de paquet pour cette mise en place, plutôt que d'utiliser les informations contenues dans le fichier « changelog » de l'arborescence source. dpkg-buildpackage et dpkg-genchanges acceptent cette option.

-si, -sa, -sd
    Ces options contrôlent si l'archive source originale est incluse dans l'installation produite par dpkg-buildpackage et dpkg-genchanges quand on construit un paquet source (i.e., les options -b or -B ne sont pas utilisées). Par défaut, ou quand l'option -si est indiquée, les sources originales sont incluses si le numéro de version se termine par -0 ou -1, i.e., si la partie « révision Debian » du numéro de version est égal à 0 ou 1. L'option -sa force l'inclusion des sources originales ; l'option -sd force leur exclusion et inclut seulement le « diff ».

-Vnom=valeur
    Fixe la valeur d'une variable de substitution. dpkg-source, dpkg-gencontrol and dpkg-genchanges acceptent cette option. Voyez ci-dessous pour une discussion sur la valeur de substitution.

-Tfichier/substvars
    Lit (ou, écrit pour dpkg-shlibdeps), les variables de substitution dans le fichier fichier/substvars; Par défaut c'est le fichier debian/substvars. dpkg-source, dpkg-gencontrol, dpkg-shlibdeps et dpkg-genchanges acceptent cette option.

-Dchamp=valeur
    Remplace ou ajoute en sortie un champ dans le fichier de contrôle. dpkg-source, dpkg-gencontrol et dpkg-genchanges acceptent cette option.

-Uchamp
    Supprime en sortie un champ dans le fichier de contrôle. dpkg-source, dpkg-gencontrol and dpkg-genchanges acceptent cette option.

-b|-B|-S
    Avec dpkg-genchanges et dpkg-buildpackage les options -b et -B indiquent qu'on veut seulement construire un paquet binaire. L'option -b indique qu'aucun fichier source n'est à construire ou à distribuer, et l'option -B indique en plus qu'aucun fichier, appartenant à un paquet binaire ne dépendant pas d'une architecture, n'est à distribuer. L'option -S indique que seul le source doit être mise en place et qu'on a pas besoin de construire un paquet binaire. Seul dpkg-buildpackage se sert des options -b et -B; dpkg-genchanges crée seulement un fichier .changes pour tous les fichiers produits par la cible binary-* du paquet qui est construit. L'option -b indique à dpkg-source de construire un paquet source (plutôt que d'en extraire un) -- voyez ci-dessous.

-cfichier/control
    indique le principal fichier de contrôle des sources où trouver des renseignements. Par défaut, c'est le fichier debian/control. dpkg-source, dpkg-gencontrol et dpkg-genchanges acceptent cette option.

-lfichier/changelog
    indique le fichier d'enregistrement des changements où trouver des renseignements. Par défaut, c'est le fichier debian/changelog. dpkg-source, dpkg-gencontrol et dpkg-genchanges acceptent cette option.

-ffichier/liste-des-fichiers
    lit ou écrit la liste des fichiers qui doivent être mis en place dans le fichier fichier/liste-des-fichiers, plutôt que dans le fichier debian/files. dpkg-gencontrol, dpkg-genchanges et dpkg-distaddfile acceptent cette option.

-Fformat-du-changelog
    donne le format du fichier changelog. Par défaut, c'est une ligne spéciale, près de la fin du fichier, qui l'indique (voyez le Debian packaging manual) ; sinon, on utilise le format classique debian, décrit dans le Debian packaging manual. dpkg-source, dpkg-gencontrol et dpkg-genchanges acceptent cette option.

LES OPTIONS DE DPKG-SOURCE
Quand on fournit les options communes -c et -l avec des chemins relatifs, on considère qu'ils sont relatifs au répertoire le plus élevé de l'arborescence source.

-x  Cette option sert à extraire un paquet source. On doit donner un seul argument sans option : le nom du fichier de contrôle des sources Debian (.dsc). Aucune option n'est utile avec dpkg-source -x. dpkg-source lit, dans le fichier de contrôle, les noms des fichiers qui composent le paquet source ; il suppose qu'ils sont dans le même répertoire que le fichier .dsc. Les fichiers extraits du paquet auront le même système de propriété et de permission que s'ils avaient été simplement crées -- les répertoires et les fichiers exécutables auront un système de permission égal à 0777 et les simples fichiers, 0666 ; ces deux systèmes étant modifiés par le masque de celui qui fait l'extraction ; Si le répertoire parent est « setgid », les répertoires extraits le seront aussi et tous les fichiers et répertoires hériteront du système de propriété de ce groupe.

-b  Construire : empaqueter une arborescence. Un ou deux arguments, sans options, seront fournis. Le premier représente le nom du répertoire qui contient l'arborescence non empaquetée. Si l'on donne un second argument, ce sera le nom du répertoire source original ou bien le nom du fichier « tar » ou bien une chaîne vide si le paquet est « debian pure souche » et n'a donc pas de fichiers « diffs » concernant sa « debianisation ». S'il n'y a pas de second argument, et selon les autres arguments donnés, dpkg-source cherche le fichier « tar » des sources originelles paquet_version-originelle.orig.tar.gz ou bien le répertoire source originel répertoire.orig ou bien une chaîne vide (pas de source originel, et donc pas de « diffs »).

-i[<regexp>]
    On peut donner une expression régulière Perl correspondant aux fichiers d'une liste qui doivent être filtrés pour le « diff ». (Cette liste est créée par une commande « find ».) L'option -i toute seule filtre les sous-répertoires CVS, RCS et libtool .deps et tous les fichiers qu'ils contiennent, aussi bien les fichiers de sauvegarde terminés par un « ~ » que ceux crées par une interruption de l'éditeur JOE. C'est très utile pour supprimer les fichiers superflus qui sont inclus dans le .diff.gz (p.ex., « debian/BUGS_TODO/* » ou « debian/RCS/*,v »). Quand on suit avec un CVS distant un paquet que l'on maintient, et qu'on a pas la possibilité d'enregistrer les fichiers debian de contrôle ou d'étiqueter cvs-buildpackage(1), il faut faire un « checkout/update » supplémentaire dans un répertoire tenu vierge pour créer le fichier .orig.tar.gz. Les fichiers « CVS/Entries » de ce répertoire contiennent des dates qui diffèrent de celles du répertoire de travail ; cela provoque indûment leur inclusion dans chaque .diff.gz crée, à moins d'utiliser l'option -i.

-sa,-sp,-su,-sk,-sA,-sP,-sU,-sK,-ss with -b
    Quand on spécifie -sk or -sp, dpkg-source s'attend à ce que le source originel soit un fichier « tar » ; par défaut c'est le fichier paquet_version-originelle.orig.tar.gz. Il le laisse en place en tant que fichier « tar » ou le copie dans le répertoire en cours s'il n'y est pas déjà. Quand on utilise -sp au lieu de -sk, il le supprime ensuite. Quand on spécifie -su or -sr, le source originel est attendu comme un répertoire ; par défaut c'est le répertoire paquet-version-originelle.orig et dpkg-source crée une nouvelle archive du source originel. Quand on utilise -sr, dpkg-source supprime ce répertoire après usage. Quand on utilise -ss, dpkg-source s'attend à ce que le source originel soit disponible à la fois comme un répertoire et comme un fichier « tar ». Il se sert du répertoire pour créer le « diff », mais se sert du fichier « tar » pour créer le fichier .dsc. On doit faire attention avec cette option -- Si le répertoire et le fichier « tar » ne correspondent pas, une mauvaise archive source en résulte. Quand on utilise -sn, dpkg-source ne cherche pas de source originel, et ne crée pas de « diff ». Le second argument, s'il existe, doit être une chaîne vide. Cela sert pour les paquets Debian pure souche qui n'ont pas un source originel distinct et donc, pas de fichier « diff » de debianisation. Quand on utilise -sa ou -sA, dpkg-source cherche un source originel soit sous forme de fichier « tar », soit sous forme de répertoire -- le deuxième argument, s'il existe, ou bien une chaîne vide (cela revient à utiliser l'option -sn). Quand un fichier « tar » existe, il est dépaqueté et dpkg-source crée un fichier « diff » ; ensuite il supprime le fichier « tar » (cela revient à utiliser l'option -sp); quand un répertoire est trouvé, il est dépaqueté et dpkg-source crée le source originel et supprime ensuite ce répertoire (cela revient à utiliser l'option -sr); Quand ni l'un ni l'autre n'est trouvé, dpkg-source suppose que le paquet ne possède pas de fichier « diff » de debianisation, mais seulement une simple archive source (cela revient à utiliser l'option -sn). Quand les deux sont trouvés, dpkg-source ignore le répertoire, et le remplace si l'option -sA a été spécifiée (cela revient à utiliser l'option -sP); ou bien il provoque une erreur quand l'option -sa a été spécifiée. L'option par défaut est -sA. Les options -sa, -sp, -sk, -su et -sr ne remplacent pas les fichiers « tar » ou les répertoires existants. Pour cela, il faut utiliser les options -sA, -sP, -sK, -su et -sR.

-sp,-su,-sn avec -x
    Dans tous ces cas, l'arborescence existante d'un source originel est supprimée. Quand on utilise l'option -sp lors d'une extraction, le source originel (s'il existe) est laissé en tant que fichier « tar ». S'il n'est pas déjà dans le répertoire en cours ou si ce répertoire contient un fichier différent, le fichier « tar » est copié dans ce répertoire. C'est le comportement par défaut. L'option -su dépaquète une arborescence source originelle. L'option -sn assure que le source originel ne sera ni copié dans le répertoire en cours, ni dépaqueté. Une arborescence source originelle présente dans le répertoire en cours est toujours supprimée.

LES OPTIONS POUR DPKG-GENCONTROL
dpkg-gencontrol ne prend pas d'argument sans options.

-ppaquet
    cette option produit les informations concernant le paquet binaire paquet. Si le fichier de contrôle des sources liste un seul paquet binaire, on peut omettre cette option ; sinon c'est indispensable d'indiquer le paquet pour lequel on veut produire les informations.

-nnom-de-fichier
    Le nom du paquet est nom-de-fichier au lieu de l'habituel : paquet_version_arch.deb.

-is, -ip, -isp
    ces options incluent, dans le fichier de contrôle du paquet binaire, les champs Section et Priority qui concernent ce paquet et qui se trouvent dans le fichier principal de contrôle des sources. Habituellement on ne met pas ces informations là mais dans le fichier .changes. L'option -isp inclue les deux champs, -is seulement le champ Section et -ip seulement le champ Priority.

-Prep-de-construction-du-paquet
    Cette option indique à dpkg-source que le répertoire de construction du paquet est rep-de-construction-du-paquet au lieu de debian/tmp. Cette valeur sert à trouver la valeur par défaut de la variable de substitution Installed-Size et celle du champ correspondant dans le fichier de contrôle (on utilise la commande du); elle donne aussi l'emplacement par défaut pour le fichier de sortie.

-O  Cette option provoque l'affichage du fichier de contrôle sur la sortie standard au lieu de debian/tmp/DEBIAN/control (ou rep-de-construction-du-paquet/DEBIAN/control si l'option -P a été utilisée).

LES OPTIONS POUR DPKG-SHLIBDEPS
dpkg-shlibdeps interprète des arguments sans option comme des commandes exécutables, comme si on avait simplement donné -eexécutable.

-eexécutable
    Cette option inclue les bonnes dépendances envers les bibliothèques partagées que demande exécutable.

-dchamp-dépendance
    Cette option ajoute les dépendances destinées au champ « dépendance » du fichier de contrôle champ-dépendance. (Les dépendances pour ce champ sont dans la variable shlibs:champ-dépendance.) L'option -dchamp-dépendance concerne tous les exécutables qui suivent l'option, jusqu'à la prochaine option -dchamp-dépendance. Par défaut, champ-dépendance vaut Depends. Quand, dans plusieurs champs reconnus ayant trait aux dépendances comme les champs Pre-Depends, Depends, Recommends, Enhances ou Suggests, apparaît la même entrée (ou bien un ensemble d'alternatives) dpkg-shlibdeps supprime automatiquement les dépendances dans tous les champs sauf celui qui représente les dépendances les plus importantes.

-ppréfixe-pour-le-nom-des-variables
    Les variables de substitution commenceront par préfixe-pour-le-nom-des-variables: au lieu de shlib:. De même, toute variable de substitution commençant par préfixe-pour-le-nom-des-variables: (au lieu de shlib:) sont enlevés du fichier de substitution des variables.

-Lfichier-local-shlibs
    dpkg-shlibs lira les information de remplacement concernant les dépendances envers les bibliothèques partagées dans fichier-local-shlibs au lieu de debian/shlibs.local.

-O  Les définitions des variables de substitution seront affichées sur la sortie standard, plutôt qu'ajoutées dans le fichier de substitution des variables qui est par défaut debian/substvars.

LES OPTIONS DE DPKG-GENCHANGES
dpkg-genchanges ne prend pas d'argument sans options.

-urépertoire-des-fichiers-à-installer
    Cherche les fichiers à installer dans répertoire-des-fichiers-à-installer plutôt que dans .. (dpkg-genchanges doit trouver ces fichiers de manière à mettre leurs tailles et leurs sommes de contrôle dans le fichier .changes.)

-q  dpkg-genchanges affiche habituellement des messages d'information sur la sortie d'erreur standard ; par exemple, combien de fichiers source du paquet sont en cours d'installation. -q supprime ces messages.

LES OPTIONS DE DPKG-BUILDPACKAGE
dpkg-buildpackage ne prend pas d'arguments sans options.

-kkey-id
    Précise un « key-ID » pour la signature des paquets.

-rcommande-pour-obtenir-privilèges-de-root
    Quand dpkg-buildpackage doit exécuter une partie du processus de construction en tant que root, il préfixe la commande exécutée par commande-pour-obtenir-privilèges-de-root si elle existe. commande-pour-obtenir-privilèges-de-root sera le nom d'un programme présent dans le PATH et ce programme prend comme argument le nom de la commande réelle à exécuter et les arguments qu'elle doit prendre. commande-pour-obtenir-privilèges-de-root ne contiendra pas d'espace ni aucun « métacaractère » du shell. commande-pour-obtenir-privilèges-de-root est classiquement sudo, super ou really. su ne va pas, puisque ce programme demande une option -c pour exécuter une commande ; et même alors il ne peut qu'appeler le shell de l'utilisateur au lieu de passer directement les arguments à la commande qui doit être exécutée.

-pcommande-de-signature
    Quand dpkg-buildpackage doit exécuter GPG ou PGP pour signer un fichier source de contrôle (.dsc) ou un fichier .changes, il exécute commande-de-signature (en examinant le PATH si nécessaire) au lieu de pgp. commande-de-signature obtient tous les arguments qu'aurait obtenu pgp. Si commande-de-signature veut recevoir ses arguments à la manière GPG plutôt qu'à la manière PGP, on choisira l'option -sgpg. commande-de-signature ne contiendra pas d'espace ni aucun « métacaractère » du shell.

-tc Nettoyage de l'arborescence (en utilisant commande-pour-obtenir-privilèges-de-root debian/rules clean) après la construction du paquet.

-us, -uc
    Ne pas signer, respectivement, soit le paquet source, soit le fichier « .changes ».

-aarchitecture
    Précise l'architecture Debian pour laquelle on construit. L'architecture de la machine sur laquelle on construit est automatiquement déterminée ; c'est aussi l'architecture par défaut de la machine hôte.

-i[<regexp>]
    chaîne passée telle quelle à dpkg-source.

-D  Vérifie les dépendances de constructions et les conflits ; se termine en cas de problèmes.

-d  Ne vérifie pas les dépendances de constructions et les conflits.

LES ARGUMENTS DE DPKG-DISTADDFILE
dpkg-distaddfile
    ne prend pas d'option particulière. Il prend trois arguments sans options, à savoir le nom du fichier, la section et la priorité, pour le fichier .changes. Le nom du fichier sera indiqué relativement au répertoire dans lequel dpkg-genchanges s'attend à trouver les fichiers, habituellement .., plutôt que relativement au répertoire dans lequel est exécuté dpkg-distaddfile.

LES ARGUMENTS DE DPKG-PARSECHANGELOG
dpkg-parsechangelog ne prend ni d'option particulière ni d'argument sans options.

LA SUBSTITUTION DE VARIABLE
Avant que dpkg-source, dpkg-gencontrol et dpkg-genchanges n'écrivent leurs informations de contrôle (dans le fichier source de contrôle .dsc pour dpkg-source et sur la sortie standard pour dpkg-gencontrol et dpkg-genchanges), ils accomplissent quelques substitutions de variable dans le fichier de sortie. Une substitution de variable est de la forme : ${variable-name}. Les noms de variable consistent en caractères alphanumériques, traits d'union et « deux points » ; ils commencent par une lettre ou un chiffre. La substitution se fait répétitivement jusqu'à ce qu'il n'en reste aucune à faire ; le texte entier du champ après la substitution est réexaminé pour chercher d'autres substitutions. Quand toutes les substitutions ont été faites, chaque occurrence de la chaîne ${} (laquelle n'est pas une substitution autorisée) est remplacée par un signe $. On peut définir les variables en utilisant l'option commune -V. On peut aussi se servir du fichier debian/substvars (ou tout autre fichier avec l'option -T). Ce fichier est composé de lignes de la forme suivante : name=value. Les espaces résiduels sur chaque ligne, les lignes vides et les lignes qui commencent par un symbole # sont ignorés. En outre, les variables standards suivantes sont disponibles :

Arch
    L'architecture pour laquelle on construit (tirée de dpkg --print-architecture).

Source-Version
    La version du paquet source (tirée du fichier changelog).

Installed-Size
    La taille de tous les fichiers installés du paquet. Cette valeur est copiée dans le champ adéquat du fichier « control » ; Quand on fixe cette variable, cela modifie la valeur de ce champ. Quand elle est indéterminée, dpkg-gencontrol use de la commande du -k debian/tmp pour trouver une valeur par défaut.

Extra-Size
    L'espace disque supplémentaire utilisé pour l'installation du paquet. Quand on fixe cette variable, on ajoute sa valeur à la valeur de la variable Installed-Size (qu'elle soit définie explicitement ou calculée par défaut) avant que la variable Installed-Size ne soit copiée dans le champ du fichier « control ».

F:fieldname
    La valeur du champ fieldname affiché en sortie et qui doit être classiquement en majuscules. Quand on fixe ces variables, cela ne prend effet que là où elles sont effectivement développées.

Format
    La version du format du fichier .changes produite par la version des scripts construisant le source. Quand on détermine cette variable, le contenu du champ Format dans le fichier .changes est aussi modifié.

Newline, Space, Tab
    Ces variables contiennent chacune le caractère correspondant.

shlibs:dependencyfield
    Les variables déterminées de cette façon sont produites par dpkg-shlibdeps - voyez plus haut.

Quand une variable est référencée mais n'est pas définie, cela produit un avertissement et une valeur nulle est assumée.

FICHIERS

debian/control
    Le principal fichier d'information sur les sources ; il donne des renseignements qui ne dépendent pas d'une version concernant le paquet source et les paquets binaires qui peuvent être crées.

debian/changelog
    Le fichier d'enregistrement des modifications ; on s'en sert pour connaître les informations qui dépendent d'une version du paquet source, par exemple l'urgence ou la distribution d'une installation sur le serveur, les modifications faites depuis telle édition et le numéro de la version source lui-même.

debian/files
    la liste des fichiers crées qui seront installés sur le serveur. dpkg-gencontrol ajoute les noms présumés des fichiers des paquets binaires à partir des fichiers « control » qu'il crée ; pour ajouter d'autres fichiers on peut se servir de dpkg-distaddfile. dpkg-genchanges lit dans ce fichier les données nécessaires à la création du fichier .changes.

debian/substvars
    La liste des variables de substitution et leurs valeurs.

debian/shlibs.local
    Fichier particulier à un paquet remplaçant les informations qui concernent les dépendances envers des bibliothèques partagées.

/etc/dpkg/shlibs.override
    Fichier système remplaçant les informations qui concernent les dépendances envers des bibliothèques partagées.

/etc/dpkg/shlibs.default
    Fichier système par défaut concernant les informations de dépendances envers des bibliothèques partagées.

BOGUES
Le moment où a lieu le remplacement d'un champ par rapport à certaines déterminations de champ affiché sur la sortie standard est plutôt embrouillé. On opère deux fois la substitution de variable sur les entrées d'un paquet binaire dans le fichier debian/files. Cela ne devrait pas poser de problèmes puisque $, { et } ne sont pas permis dans les noms de paquets et les numéros de version. On devrait pouvoir mettre des espaces et des métacaractères du shell dans les arguments initiaux de commande-pour-obtenir-privilèges-de-root et commande-de-signature.

VOIR AUSSI
Debian packaging manual,
Debian policy manual,
dpkg-deb(1), dpkg(8), dselect(8), gpg(1), pgp(1).

AUTEUR
Ces outils et cette page de manuel ont été écrits par Ian Jackson.

COPYRIGHT
Copyright (C) 1995-1996 Ian Jackson
Copyright (C) 2000 Wichert Akkerman
Ce sont des logiciels libres ; voyez la « GNU General Public Licence » version 2 ou supérieure pour le copyright. Il n'y a pas de garantie. Voyez /usr/share/doc/dpkg/copyright et /usr/share/common-licenses/GPL pour des précisions.

TRADUCTION
Philippe Batailler, Février 2001.